View LB record

Prev Next

Available in Classic and VPC

View Global DNS load balancer record information that meets the specified conditions.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /dns/v1/ncpdns/lb-record/{platformType}/{recordType}

Request headers

For information about the headers common to all Record APIs, see Record API request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
platformType String Required Platform type
  • VPC | CLASSIC
recordType String Required Load balancer record type
  • A | AAAA | CNAME | MX | PTR | SPF | TXT | NS | SRV | CAA | DS

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
searchContent String Optional Name of the load balancer record to view

Request example

The following is a sample request.

curl --location --request GET 'https://globaldns.apigw.ntruss.com/dns/v1/ncpdns/lb-record/VPC/A' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See LbRecordResponse for the response body.

Response status codes

For information about the HTTP status codes common to all Record APIs, see Record API response status codes.

Response example

The following is a sample response.

[
    {
        "sid": 264***,
        "name": "lb000-2423****-****d88c****.kr.lb.naverncp.com"
    }
]

Error code example

The following is a sample error code.

{
    "result": "FAIL",
    "error": {
        "errorCode": "X00006",
        "message": "You are not authorized.",
        "devMessage": "You are not authorized."
    }
}